<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.blackip" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:04.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:04. 
	*/

	base.OnInit(e);
	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<!--Created Page at 2008-8-8 18:47:50,by V5Shop.com.cn   V5Shop Management Systeme 8.0-->\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head><base href=\"http://localhost/0418/template/default/\" />\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("<title>您的IP暂时无法访问该网站</title>\r\n");
	templateBuilder.Append("<link href=\"css/css.css\" rel=\"stylesheet\" type=\"text/css\">\r\n");
	templateBuilder.Append("</head>\r\n");
	templateBuilder.Append("<style>\r\n");
	templateBuilder.Append(".login{ width:644px; background:url(images/close/middle.gif); margin-top:30px}\r\n");
	templateBuilder.Append("#login2 { height:28px; background:url(images/close/top.gif)}\r\n");
	templateBuilder.Append("#login4 { padding:30px 0 50px; background:url(images/close/content.gif) bottom no-repeat; color:#696D84; font-size:14px}\r\n");
	templateBuilder.Append("#login5 { height:50px; background:url(images/close/bottom.gif); text-align:center}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<body bgcolor=\"#FFFFFF\" leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\">\r\n");
	templateBuilder.Append("<center>\r\n");
	templateBuilder.Append("<div class=\"login\">\r\n");
	templateBuilder.Append("  <div id=\"login2\">&nbsp;</div>\r\n");
	templateBuilder.Append("  <div>\r\n");
	templateBuilder.Append("    <img src=\"" + logo.ToString() + "\" width=\"236\" height=\"55\" /><br /><br />\r\n");
	templateBuilder.Append("    <img src=\"/0418/images/blackip.gif\" width=\"570\" height=\"95\" /><br />\r\n");
	templateBuilder.Append("    <img src=\"images/close/bar.gif\" width=\"570\" height=\"15\" /></div>\r\n");
	templateBuilder.Append("  <div id=\"login4\">" + content.ToString() + "<br/><br/><br/><br/></div>\r\n");
	templateBuilder.Append("  <div id=\"login5\">&nbsp;</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</center>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");
	templateBuilder.Append("\r\n");
	
templateBuilder.Append("<center style='font-size:12px;'>Designed By：<strong><a href='http://www.v5shop.com.cn/' target='_blank'>V5Shop</a></strong></center>");
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
